"Use strict";
export enum Outline {
    None, BottomOnly, TopOnly, LeftOnly, RightOnly, TopAndBottom, LeftAndRight, Frame
}


export function getOutlineStyle(outline: Outline): string {
    let outlineStyle: string;
    switch (outline) {
        case Outline.None:
            outlineStyle = 'none';
            break;
        case Outline.BottomOnly:
            outlineStyle = 'none none solid none';
            break;
        case Outline.TopOnly:
            outlineStyle = 'solid none none none';
            break;
        case Outline.LeftOnly:
            outlineStyle = 'none none none solid';
            break;
        case Outline.RightOnly:
            outlineStyle = 'none solid none none';
            break;
        case Outline.TopAndBottom:
            outlineStyle = 'solid none';
            break;
        case Outline.LeftAndRight:
            outlineStyle = 'none solid';
            break;
        case Outline.Frame:
            outlineStyle = 'solid';
            break;
        default:
            break;
    }
    return outlineStyle;
}