"Use strict";
import powerbi from "powerbi-visuals-api";
import DataView = powerbi.DataView;
import IVisualHost = powerbi.extensibility.visual.IVisualHost;
import {VisualSettings} from "../settings/visualSettings";
import * as d3 from "d3";
import { IFilter } from "powerbi-models";
type Selection<T extends d3.BaseType> = d3.Selection<T, any, any, any>;
/*
Main interfaces
*/

//IVisualSettings


//ISelectorManager
export interface ILayoutManager{
    layout:Selection<HTMLElement>;
    update(dataView:DataView,width:number,height:number):void;
    dispose():void;
}
export interface ILayoutManagerConstructor{
    new(container:Selection<HTMLElement>,filterManager:IFilterManager):ILayoutManager;
};

//ISelectorManager
export interface ISelectorManager{
    selectorContainer:Selection<HTMLElement>;
    filterManager:IFilterManager;
    dispose():void;
    updateData(field:powerbi.DataViewCategoryColumn,defaultSelect:powerbi.DataViewValueColumn,defaultStart:powerbi.DataViewValueColumn,defaultEnd:powerbi.DataViewValueColumn):void;
    updateFormat(visualSettings:VisualSettings,width:number,height:number):void;
}
export interface ISelectorManagerConstructor{
    new(selectorContainer:Selection<HTMLElement>,filterManager:IFilterManager):ISelectorManager;
}

//IFilterManager
export interface IFilterManager{
    update(field:powerbi.DataViewCategoryColumn):void;
    filterStringField(selection:string[]):void;
    clear():void;
    dispose():void;
}
export interface IFilterManagerConstructor{
    new(host:IVisualHost):IFilterManager;
}
